#!/bin/bash

# Checker Tema1 - Programare 2015-2016

nr_tests=3
tema="tema1"
tests_points=(20 30 40)

if [ ! -e $tema ]; then
	echo "Error: File '$tema' is not in the same directory as this script"
	exit 1
fi

if [ ! -x $tema ]; then
	echo "Error: File '$tema' does not have executable right"
	echo "One can run: 'sudo chmod +x $tema'"
	exit 1
fi 

if [ $# -eq 0 ]; then
	sum=0
	echo ""
	echo "=== Running checker on all tests ==="
	echo ""
	for i in $(seq 1 $nr_tests); do
		./$tema < input/in$i.txt > output/out$i.txt
		diff ref/out$i.txt output/out$i.txt > /dev/null
		if [ $? -eq 0 ]; then
			echo "Test $i (${tests_points[$(($i - 1))]}) .......................... passed"
			sum=$(($sum + ${tests_points[$i - 1]}))
		else
			echo "Test $i (${tests_points[$(($i - 1))]}) .......................... failed"
		fi
	done
	echo ""
	echo "TOTAL: $sum/90 puncte"
else
	echo "Incorrect number of parameters:"
	echo "Run: '$0' for checking all tests"
fi


